# RenewCloudRouter

## 1. API Description

This API is used to restore a deleted Layer 3 cloud router.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Only operations on cloud routers in status of</mark> <mark style="color:blue;">`RECYCLED`</mark> <mark style="color:blue;">are supported.</mark>
* <mark style="color:blue;">This API is an async API. A request ID is returned after the request is sent. However, it does not mean the operation has been completed. The status of the cloud router will be</mark> <mark style="color:blue;">`RECOVERING`</mark> <mark style="color:blue;">during the operation. If</mark> <mark style="color:blue;">`cloudRouterStatus`</mark> <mark style="color:blue;">changes from</mark> <mark style="color:blue;">`RECOVERING`</mark> <mark style="color:blue;">to</mark> <mark style="color:blue;">`RUNNING`</mark><mark style="color:blue;">, it means that the cloud router has been restored successfully.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="191">Parameter Name</th><th width="116">Required</th><th width="96">Type</th><th>Description</th></tr></thead><tbody><tr><td>cloudRouterId</td><td>Yes</td><td>String</td><td>Cloud router ID.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="192.33333333333331">Parameter Name</th><th width="97">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Restore a deleted Layer 3 cloud router.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RenewCloudRouter
<Common Request Params>

Request：
{
    "cloudRouterId": "your-cloud-router-id"
}

Response：
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​
